from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XLayoutConstrains(XInterface, Protocol):
    def getMinimumSize(self) -> Size: ...
    def getPreferredSize(self) -> Size: ...
    def calcAdjustedSize(self, aNewSize: Size) -> Size: ...
